Categories
Critical Patched

Dell Patched a Critical Driver Flaw out of 2009 Affecting Hundreds of PC Models

Michael CriderIf you or anyone you know has a Dell computer, old or new, they should probably update it right away. Dell just released a security patch that addresses multiple vulnerabilities in hundreds of its computers dating back to 2009. Users that own a Dell or Alienware computer can assume it’s vulnerable to this problem; basically,…

Dell XPS 15
Michael Crider

If you or anyone you know has a Dell computer, old or new, they need to probably update it immediately. Dell only released a security patch which addresses multiple vulnerabilities in hundreds of its own computers dating back to 2009.

Users who have a Dell or Alienware computer can assume it’s vulnerable to this problem; essentially, everything from your brand new Dell XPS 15 or G3 gaming notebook to your parents’ old Dell computer that likely still runs Windows 7.  Thankfully, Dell has a full list of versions that are affected on its own website detailing over 380 models.

To make matters worse, Dell confirmed almost 200 affected versions no longer get service, so some super older computers need a little additional TLC from owners or IT staff this week.

Apparently, one of Dell and Alienware’s firmware update utilities possess a vulnerability which allows an individual to get increased system privileges, get into the BIOS, and take over a machine. More specifically, the DBUtil BIOS driver. The vulnerability was discovered by SentinelLabs and reported to Dell back in December, but so far, it doesn’t seem like these long-standing flaws are exploited in the wild.

We urge all owners fire up the Dell Update utility, check for updates, and immediately install anything displayed. In case you haven’t done this in a while, it might take some time, so be patient.

through: The Verge

Read More

Leave a Reply

Your email address will not be published. Required fields are marked *